<html>
  <head>
    <meta name="viewport" content="width=device-width, initial-scale=1" charset="UTF-8">
    <title>onNotificationRemoved</title>
<link href="../../../../images/logo-icon.svg" rel="icon" type="image/svg"><script>var pathToRoot = "../../../../";</script>    <script>const storage = localStorage.getItem("dokka-dark-mode")
const savedDarkMode = storage ? JSON.parse(storage) : false
if(savedDarkMode === true){
    document.getElementsByTagName("html")[0].classList.add("theme-dark")
}</script>
<script type="text/javascript" src="../../../../scripts/sourceset_dependencies.js" async="async"></script><link href="../../../../styles/style.css" rel="Stylesheet"><link href="../../../../styles/jetbrains-mono.css" rel="Stylesheet"><link href="../../../../styles/main.css" rel="Stylesheet"><link href="../../../../styles/prism.css" rel="Stylesheet"><link href="../../../../styles/logo-styles.css" rel="Stylesheet"><script type="text/javascript" src="../../../../scripts/clipboard.js" async="async"></script><script type="text/javascript" src="../../../../scripts/navigation-loader.js" async="async"></script><script type="text/javascript" src="../../../../scripts/platform-content-handler.js" async="async"></script><script type="text/javascript" src="../../../../scripts/main.js" async="async"></script><script type="text/javascript" src="../../../../scripts/prism.js" async="async"></script>  </head>
  <body>
    <div class="navigation-wrapper" id="navigation-wrapper">
      <div id="leftToggler"><span class="icon-toggler"></span></div>
      <div class="library-name"><a href="../../../../index.html">bluconnect</a></div>
      <div></div>
      <div class="pull-right d-flex"><button id="theme-toggle-button"><span id="theme-toggle"></span></button>
        <div id="searchBar"></div>
      </div>
    </div>
    <div id="container">
      <div id="leftColumn">
        <div id="sideMenu"></div>
      </div>
      <div id="main"><script type="text/javascript" src="../../../../scripts/main.js"></script>
        <div class="main-content" id="content" pageIds="bluconnect::com.aptener.bluconnect/BluConnectApp.Companion/onNotificationRemoved/#android.service.notification.StatusBarNotification?#android.content.Context/PointingToDeclaration//-1410038383">
          <div class="breadcrumbs"><a href="../../../../index.html">bluconnect</a>/<a href="../../index.html">com.aptener.bluconnect</a>/<a href="../index.html">BluConnectApp</a>/<a href="index.html">Companion</a>/<a href="on-notification-removed.html">onNotificationRemoved</a></div>
          <div class="cover ">
            <h1 class="cover"><span>on</span><wbr></wbr><span>Notification</span><wbr></wbr><span><span>Removed</span></span></h1>
          </div>
          <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="on-notification-removed.html"><span class="token function">onNotificationRemoved</span></a><span class="token punctuation">(</span>sbn<span class="token operator">: </span><a href="https://developer.android.com/reference/kotlin/android/service/notification/StatusBarNotification.html">StatusBarNotification</a><span class="token operator">?</span><span class="token punctuation">, </span>context<span class="token operator">: </span><a href="https://developer.android.com/reference/kotlin/android/content/Context.html">Context</a><span class="token punctuation">)</span><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div><p class="paragraph">This method parse the <a href="https://developer.android.com/reference/kotlin/android/service/notification/StatusBarNotification.html">StatusBarNotification</a> and extracts the WhatsApp message and the sender details to announce the message</p><p class="paragraph">Prerequisite Implement <a href="https://developer.android.com/reference/android/service/notification/NotificationListenerService">NotificationListenerService</a>, override <a href="https://developer.android.com/reference/kotlin/android/service/notification/NotificationListenerService.html#onnotificationremoved">NotificationListenerService.onNotificationRemoved</a> method and call <a href="on-notification-removed.html">BluConnectApp.onNotificationRemoved</a></p><h2 class="">Parameters</h2><div data-togglable="Parameters"><div class="table" data-togglable="Parameters"><div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release"><div class="main-subrow keyValue WithExtraAttributes"><div class=""><span class="inline-flex"><span><span>sbn</span></span></span></div><div><div class="title"><div data-togglable="Parameters"><p class="paragraph">require <a href="https://developer.android.com/reference/kotlin/android/service/notification/StatusBarNotification.html">StatusBarNotification</a> from <a href="https://developer.android.com/reference/kotlin/android/service/notification/NotificationListenerService.html#onnotificationremoved">NotificationListenerService.onNotificationRemoved</a></p></div></div></div></div></div></div></div></div></div>
        </div>
        <div class="footer"><span class="go-to-top-icon"><a href="#content" id="go-to-top-link"></a></span><span>© 2022 Copyright</span><span class="pull-right"><span>Generated by </span><a href="https://github.com/Kotlin/dokka"><span>dokka</span><span class="padded-icon"></span></a></span></div>
      </div>
    </div>
  </body>
</html>

